# $Revision: 1.43 $, $Date: 2011/03/23 10:53:14 $
Summary:	C++ interface for working with XML files
Summary(pl.UTF-8):	Interfejs C++ do pracy z plikami XML
Name:		libxml++
Version:	2.32.0
Release:	1
License:	LGPL v2.1
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libxml++/2.32/%{name}-%{version}.tar.bz2
# Source0-md5:	f25c032942653211311754608abf46a4
URL:		http://libxmlplusplus.sourceforge.net/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1.11
BuildRequires:	glibmm-devel >= 2.12.7
BuildRequires:	libtool >= 2.2.6
BuildRequires:	libxml2-devel >= 1:2.6.28
BuildRequires:	mm-common >= 0.8
BuildRequires:	pkgconfig
Requires:	glibmm >= 2.12.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libxml++ is a C++ interface for the libxml XML parser library.

%description -l pl.UTF-8
libxml++ jest interfejsem C++ do biblioteki libxml.

%package devel
Summary:	Header files for libxml++
Summary(pl.UTF-8):	Pliki nagłówkowe do libxml++
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glibmm-devel >= 2.12.7
Requires:	libxml2-devel >= 1:2.6.28

%description devel
Header files for libxml++.

%description devel -l pl.UTF-8
Pliki nagłówkowe do libxml++.

%package static
Summary:	Static libxml++ libraries
Summary(pl.UTF-8):	Biblioteka statyczna libxml++
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libxml++ libraries.

%description static -l pl.UTF-8
Biblioteka statyczna libxml++.

%package apidocs
Summary:	libxml++ API documentation
Summary(pl.UTF-8):	Dokumentacja API libxml++
Group:		Documentation

%description apidocs
libxml++ API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libxml++.

%package examples
Summary:	libxml++ - example programs
Summary(pl.UTF-8):	libxml++ - przykładowe programy
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description examples
libxml++ - example programs.

%description examples -l pl.UTF-8
libxml++ - przykładowe programy.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-api-exceptions \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libxml++-2.6.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libxml++-2.6.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxml++-2.6.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxml++-2.6.so
%{_libdir}/libxml++-2.6
%{_includedir}/libxml++-2.6
%{_pkgconfigdir}/libxml++-2.6.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libxml++-2.6.a

%files apidocs
%defattr(644,root,root,755)
%{_datadir}/devhelp/books/libxml++-2.6
%{_docdir}/%{name}-2.6

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libxml++.spec,v $
Revision 1.43  2011/03/23 10:53:14  wiget
- up to 2.32.0
- drop libtool file

Revision 1.42  2010/05/14 15:19:14  sparky
- BR: mm-common

Revision 1.41  2010/05/14 14:57:15  megabajt
- updated to 2.30.1

Revision 1.40  2010/04/02 20:27:15  sls
- ver. 2.30.0
- removed examples.patch

Revision 1.39  2009/03/16 18:44:38  megabajt
- updated to 2.26.0

Revision 1.38  2009/03/07 18:56:47  megabajt
- updated to 2.24.3

Revision 1.37  2008/12/24 10:25:16  megabajt
- updated to 2.24.2

Revision 1.36  2008/11/07 17:51:38  sls
- ver. 2.24.0

Revision 1.35  2008-03-07 19:20:03  megabajt
- updated to 2.22.0

Revision 1.34  2007-09-19 19:32:03  qboosh
- more verbose files
- LGPL v2.1 is included (and no specific LGPL version pointed in copyright note)

Revision 1.33  2007/09/18 19:02:42  patrys
- 2.20.0
- do not build examples

Revision 1.32  2007/08/12 18:08:04  qboosh
- updated to 2.18.2

Revision 1.31  2007/06/10 16:03:34  megabajt
- updated to 2.18.1

Revision 1.30  2007/04/18 08:48:07  megabajt
- rebuild to fix libstdc++ implementation change (_ZNSo9_M_insertEPKcl)
- release 2

Revision 1.29  2007/03/07 16:20:21  megabajt
- updated to 2.18.0
- added apidocs and examples subpackage

Revision 1.28  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.27  2007/02/12 00:49:05  baggins
- converted to UTF-8

Revision 1.26  2006/08/11 20:28:59  freetz
- typo

Revision 1.25  2006/08/11 20:22:48  freetz
- rel.3, use HEAD deps

Revision 1.24  2006/05/24 08:59:29  qboosh
- merged deps update from AC-branch

Revision 1.22.2.2  2006/05/18 21:11:04  baggins
- release 2
- strict reqs

Revision 1.22.2.1  2006/05/15 13:20:45  baggins
- merged from HEAD

Revision 1.23  2006/03/13 17:45:45  freetz
- 2.14.0

Revision 1.22  2005/09/09 12:53:50  freetz
- 2.12.0, bumped BRs

Revision 1.21  2005/07/01 11:19:06  zbyniu
- BR: +pkgconfig, -libstdc++-devel (req by glibmm-devel)

Revision 1.20  2005/03/11 22:02:24  grzegol
- merged from DEVEL and updated to 2.10.0

Revision 1.19.2.2  2005/02/25 23:53:08  grzegol
- updated to 2.9.2
- added missing insert_example_code.pl file (Source1)
- added docs

Revision 1.19.2.1  2005/02/10 20:53:56  grzegol
- updated to 2.9.1

Revision 1.19  2004/12/26 13:59:51  darekr
- updated to 2.8.1

Revision 1.18  2004/10/13 21:31:20  havner
- rel 2 for rebuild

Revision 1.17  2004/09/15 11:21:40  grzegol
- merged changes from DEVEL

Revision 1.16  2004/09/14 19:49:24  paszczus
- updated to 2.8.0 (STABLE)

Revision 1.15  2004/06/16 12:08:19  qboosh
- Obsoletes for old version of the same package doesn't make any sense

Revision 1.14  2004/06/16 07:59:21  krzak
Obsoletes:      libxml++ <= 2.0.0

Revision 1.13  2004/06/15 08:17:01  krzak
- Obsoletes:      libxml++-devel <= 2.0.0

Revision 1.12  2004/05/05 21:07:04  grzegol
- updated to 2.6.1

Revision 1.11  2004/04/13 11:01:32  grzegol
- merged from DEVEL and updated to 2.6.0

Revision 1.10.2.8  2004/03/31 17:53:31  grzegol
- updated to 2.5.2

Revision 1.10.2.7  2004/03/15 20:04:29  grzegol
- rel. 3 to rebuild with glibmm-2.3.7

Revision 1.10.2.6  2004/02/14 18:02:57  grzegol
- R: %%{version}-%%{release}

Revision 1.10.2.5  2004/02/14 17:57:01  grzegol
- rel. 2 to rebuild with glibmm-2.3.5

Revision 1.10.2.4  2004/02/09 14:32:16  grzegol
- updated to 2.5.1

Revision 1.10.2.3  2004/02/07 15:32:15  grzegol
- rel. 3 to rebuild with glibmm-2.3.4

Revision 1.10.2.2  2004/01/24 15:29:50  grzegol
- rel. 2 to rebuild with glibmm-2.3.3/gtkmm-2.3.2

Revision 1.10.2.1  2003/12/29 16:22:27  grzegol
- updated to 2.5.0
- changed Source0 url to ftp.gnome.org

Revision 1.10  2003/12/19 14:57:59  grzegol
- updated to 1.0.0

Revision 1.9  2003/12/08 16:11:10  grzegol
- updated to 0.28.0

Revision 1.8  2003/11/07 23:32:04  grzegol
- updated to 0.27.0

Revision 1.7  2003/09/30 13:38:14  grzegol
- updated to 0.26.0

Revision 1.6  2003/07/27 19:16:21  grzegol
- updated to 0.25.0
- regenerate ac/am/lt

Revision 1.5  2003/07/15 09:03:09  qboosh
- BR+R: libstdc++-devel

Revision 1.4  2003/07/15 08:59:03  qboosh
- up to 0.24.0

Revision 1.3  2003/05/28 12:59:33  malekith
- massive attack: source-md5

Revision 1.2  2003/05/25 05:50:07  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/04/24 17:50:31  grzegol
- new
